%define name opera
%define version 11.52
%define rel	1
%define snap	0
%define buildnb 1100

%define tarball_base %{name}-%{version}-%{buildnb}

%define arch_exclude_files_from_autoreq ^$
%ifarch x86_64
# Exclude 32-bit requires on x86_64; plugins will pull them.
%define arch_exclude_files_from_autoreq ^%{_libdir}/%{name}/operapluginwrapper-ia32-linux$
%endif

# Exclude requires on GTK/KDE toolkits, they are optional and used
# automatically when present.
%define common_exclude_files_from_autoreq ^%{_libdir}/%{name}/libopera.\\+\\.so$

%define _exclude_files_from_autoreq %{arch_exclude_files_from_autoreq}\\|%{common_exclude_files_from_autoreq}

Summary:	Opera Web Browser for Linux
Name: 		%{name}
Version: 	%{version}
%if %snap
Release: 	%mkrel 0.%buildnb.%rel
%else
Release:	%mkrel %rel
%endif
%define shortver %(echo %version | tr -d .)
Source0:	http://get.opera.com/pub/opera/linux/%{shortver}/%{tarball_base}.i386.linux.tar.xz
Source1: 	http://get.opera.com/pub/opera/linux/%{shortver}/%{tarball_base}.x86_64.linux.tar.xz
Source2: 	bookmarks.adr
License: 	Freeware
Url:		http://www.opera.com/
Group: 		Networking/WWW
ExclusiveArch:	%ix86 x86_64
BuildRequires:	desktop-file-utils
BuildRequires:	sed

%description
Opera for Linux is an alternative feature-rich Web browser. 

%prep
%ifarch x86_64
%setup -qTn %{name}-%{version}-%{buildnb}.%{_arch}.linux -b1
%else
%setup -qTn %{name}-%{version}-%{buildnb}.%{_arch}.linux -b0
%endif

%install
rm -rf $RPM_BUILD_ROOT
./install --system --repackage %{buildroot}%{_prefix} --prefix %{_prefix}

%if "%_lib" != "lib"
mv %{buildroot}%{_prefix}/lib %{buildroot}%{_libdir}
%endif
sed -i 's,/usr/lib,%{_libdir},' %{buildroot}%{_bindir}/opera

rm -rf rpmdocs
mv %{buildroot}%{_docdir}/opera rpmdocs

# install bookmarks file
install -m644 %{SOURCE2} %{buildroot}%_datadir/%name/defaults/bookmarks.adr

desktop-file-install --dir %{buildroot}%{_datadir}/applications \
	--add-category=X-MandrivaLinux-CrossDesktop \
	%{buildroot}%{_datadir}/applications/%{name}-browser.desktop

# StartupNotify does not work correctly when opera is already running;
# the already-existing window is activated and a new tab is opened
# and the completion signal is not sent.
sed -i -e 's/StartupNotify=.*/StartupNotify=false/' %{buildroot}%{_datadir}/applications/%{name}-browser.desktop

%files
%defattr(-,root,root)
%doc rpmdocs/*
%_bindir/opera
%_bindir/opera-widget-manager
%_libdir/opera

%_iconsdir/hicolor/*/apps/%{name}-*.*
%_iconsdir/hicolor/*/mimetypes/%{name}-*.*
%_datadir/applications/%{name}-browser.desktop
%_datadir/applications/%{name}-widget-installer.desktop
%_datadir/applications/%{name}-widget-manager.desktop
%_datadir/mime/packages/%{name}-*.xml
%_mandir/man1/opera*

%dir %{_datadir}/opera
%{_datadir}/opera/encoding.bin
%{_datadir}/opera/*.dtd
%{_datadir}/opera/*.sig
%{_datadir}/opera/lngcode.txt
%{_datadir}/opera/package-id.ini
%{_datadir}/opera/defaults
%{_datadir}/opera/extra
%{_datadir}/opera/package
%{_datadir}/opera/skin
%{_datadir}/opera/styles
%{_datadir}/opera/ui
%{_datadir}/opera/unite
%{_datadir}/opera/locale/en

# langs
%dir %{_datadir}/%{name}/locale
%lang(be) %{_datadir}/%name/locale/be
%lang(bg) %{_datadir}/%name/locale/bg
%lang(cs) %{_datadir}/%name/locale/cs
%lang(da) %{_datadir}/%name/locale/da
%lang(de) %{_datadir}/%name/locale/de
%lang(el) %{_datadir}/%name/locale/el
%lang(en_GB) %{_datadir}/%name/locale/en-GB
%lang(es) %{_datadir}/%name/locale/es-ES
%lang(es) %{_datadir}/%name/locale/es-LA
%lang(et) %{_datadir}/%name/locale/et
%lang(fi) %{_datadir}/%name/locale/fi
%lang(fr) %{_datadir}/%name/locale/fr
%lang(fr_CA) %{_datadir}/%name/locale/fr-CA
%lang(fy) %{_datadir}/%name/locale/fy
%lang(gd) %{_datadir}/%name/locale/gd
%lang(hi) %{_datadir}/%name/locale/hi
%lang(hu) %{_datadir}/%name/locale/hu
%lang(hr) %{_datadir}/%name/locale/hr
%lang(id) %{_datadir}/%name/locale/id
%lang(it) %{_datadir}/%name/locale/it
%lang(ja) %{_datadir}/%name/locale/ja
%lang(ka) %{_datadir}/%name/locale/ka
%lang(ko) %{_datadir}/%name/locale/ko
%lang(lt) %{_datadir}/%name/locale/lt
%lang(mk) %{_datadir}/%name/locale/mk
%lang(nn) %{_datadir}/%name/locale/nn
%lang(nb) %{_datadir}/%name/locale/nb
%lang(nl) %{_datadir}/%name/locale/nl
%lang(pl) %{_datadir}/%name/locale/pl
%lang(pt) %{_datadir}/%name/locale/pt
%lang(pt_BR) %{_datadir}/%name/locale/pt-BR
%lang(ro) %{_datadir}/%name/locale/ro
%lang(ru) %{_datadir}/%name/locale/ru
%lang(sk) %{_datadir}/%name/locale/sk
%lang(sr) %{_datadir}/%name/locale/sr
%lang(sv) %{_datadir}/%name/locale/sv
%lang(te) %{_datadir}/%name/locale/te
%lang(ta) %{_datadir}/%name/locale/ta
%lang(tr) %{_datadir}/%name/locale/tr
%lang(uk) %{_datadir}/%name/locale/uk
%lang(vi) %{_datadir}/%name/locale/vi
%lang(zh_CN) %{_datadir}/%name/locale/zh-cn
%lang(zh_TW) %{_datadir}/%name/locale/zh-tw
%lang(af) %{_datadir}/%name/locale/af
%lang(az) %{_datadir}/%name/locale/az
%lang(bn) %{_datadir}/%name/locale/bn
%lang(me) %{_datadir}/%name/locale/me
%lang(ms) %{_datadir}/%name/locale/ms
%lang(pa) %{_datadir}/%name/locale/pa
%lang(sw) %{_datadir}/%name/locale/sw
%lang(th) %{_datadir}/%name/locale/th
%lang(tl) %{_datadir}/%name/locale/tl
%lang(uz) %{_datadir}/%name/locale/uz
%lang(zu) %{_datadir}/%name/locale/zu


%changelog

* Thu Oct 20 2011 fwang <fwang> 11.52-1.mga1
+ Revision: 156744
- new version 11.52
- fix desktop file
- New version 11.51
  ( Fixed an issue that could allow unsecured web content to appear secure, as reported by Roland Reck )
  http://www.opera.com/support/kb/view/1000/

  + anssi <anssi>
    - new version 11.50
      o fixes CVE-2011-1337 and other security issues

* Sat May 21 2011 ahmad <ahmad> 11.11-1.mga1
+ Revision: 100086
- Update to 11.11, mainly a bug fix release; also fixes a critical security issue:
  http://www.opera.com/support/kb/view/992/
  should fix (mga#1372)
- Update the file list

* Mon May 02 2011 ahmad <ahmad> 11.10-2.mga1
+ Revision: 94306
- Drop old/unneeded scriptlets
- Change the bookmarks.adr file to use Mageia bookmarks
- imported package opera


* Tue Apr 12 2011 Funda Wang <fwang@mandriva.org> 11.10-1mdv2011.0
+ Revision: 652930
- New version 11.10

* Thu Jan 27 2011 Funda Wang <fwang@mandriva.org> 11.01-1
+ Revision: 633256
- New version 11.01

  + Oden Eriksson <oeriksson@mandriva.com>
    - built for updates

* Thu Dec 16 2010 Funda Wang <fwang@mandriva.org> 11.00-1mdv2011.0
+ Revision: 622344
- add startupnotify flag after installing, the installer need to sure files are not modified
- new version 11.00

* Tue Oct 12 2010 Funda Wang <fwang@mandriva.org> 10.63-1mdv2011.0
+ Revision: 585028
- New version 10.63

* Thu Oct 07 2010 Anssi Hannula <anssi@mandriva.org> 10.62-2mdv2011.0
+ Revision: 584069
- fix missing library dependencies on 32-bit builds (reported by Megaf)

* Thu Sep 09 2010 Funda Wang <fwang@mandriva.org> 10.62-1mdv2011.0
+ Revision: 576972
- new version 10.62

  + Anssi Hannula <anssi@mandriva.org>
    - disable startup notification (it does not work correctly when opera
      is already running)

* Fri Aug 13 2010 Anssi Hannula <anssi@mandriva.org> 10.61-1mdv2011.0
+ Revision: 569415
- new version

* Sat Jul 10 2010 Anssi Hannula <anssi@mandriva.org> 10.60-1mdv2011.0
+ Revision: 549971
- spec cleanup
- handle the new mime type definitions

  + Funda Wang <fwang@mandriva.org>
    - build with x86_64 arch
    - New version 10.60

* Sat May 08 2010 Anssi Hannula <anssi@mandriva.org> 10.10-1mdv2010.1
+ Revision: 544093
- remove separate language files, they are included in the tarballs now
- do not require 32-bit packages on 64-bit systems just to support 32-bit
  plugins (the plugins themselves will pull the packages in if needed)
- include tarballs for both archs in the src.rpm
- use upstream supplied icons instead of ones from a separate tarball
  (no notable difference between the two)
- uncompress opera6.adr source
- update summary, description, url
- remove now unneeded requires
- add proper exclusivearch entry
- use upstream .desktop file
- remove now unneeded hacks from .spec
- install configuration files
- remove visible builddir from bindir script
- install old-style menu only on Mandriva 2006.0 and older
- install provided standard-location icons
- do not call /sbin/ldconfig after installation, there are no libraries
- call proper macros in rpm script, on 2008.1 and older only
- add lang tags to language files

  + Anne Nicolas <ennael@mandriva.org>
    - clean spec
      first release in non-free repository due to agreement changes
    - add 32 bits tarball
    - import opera


* Sat Dec 5 2009 Anne Nicolas <anne.nicolas@mandriva.com> 10.10.static-1mdv2010.0
- Fix CVE-2009-4071, CVE-2009-4072, CVE-2009-3832, CVE-2009-3831

* Thu Oct 29 2009 Anne Nicolas <anne.nicolas@mandriva.com> 10.01.static-1mdv2010.0
- new version

* Wed Sep 02 2009 Anne Nicolas <anne.nicolas@mandriva.com> 10.00.static-1mdv2010.0
- new major version
- fix CVE-2009-3013, CVE-2009-3044, CVE-2009-3046, CVE-2009-3047, CVE-2009-3048,
CVE-2009-3049

* Sun Feb 22 2009 Anne Nicolas <anne.nicolas@mandriva.com> 9.64.static-1mdv2009.0
- 9.64 version, security fixes

* Mon Aug 25 2008 Anne Nicolas <anne.nicolas@mandriva.com> 9.52.static-1mdv2009.0
- new version

* Sat Aug 23 2008 Anne Nicolas <anne.nicolas@mandriva.com> 9.51.static-2mdv2009.0
- update Mandriva bookmarks

* Wed Jul 23 2008 Anne Nicolas <anne.nicolas@mandriva.com> 9.51.static-1mdv2009.0
- new version

* Mon Feb 25 2008 Anne Nicolas <anne.nicolas@mandriva.com> 9.26.static-1mdv2008.0
- new version

* Tue Aug 28 2007 Anne Nicolas <anne.nicolas@mandriva.com> 9.23.static-1mdv2008.0
- 9.23
- add langs
- fix menus

* Thu Oct 12 2006 Lenny Cartier <lenny@mandriva.com> 9.02.static-1mdv2007.1
- 9.02

* Mon Aug 14 2006 Lenny Cartier <lenny@mandriva.com> 9.01.static-1mdv2007.0
- updated to 20060728 of 9.1
- mkrel
- xdg

* Wed Jun 08 2005 Lenny Cartier <lenny@mandriva.com> 8.0.static-1mdk
- updated to 20050415 of 8.0

* Sun Mar 13 2005 Lenny Cartier <lenny@mandrakesoft.com> 7.54.static-2mdk
- update to 20050131 release of 7.54 

* Mon Aug 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 7.54.static-1mdk
- update to 7.54
- move plugin (libnpp.so) to /usr/lib/opera/plugins/
- Opera ChangeLog :
  * Denied write-access to properties on objects from scripts that fail a 
  standard origin check, in order to block potential access by attackers 
  to user's computer. Fixes critical vulnerability reported in GreyMagic 
  Security Advisory GM#008-OP.
  * Fixed security issue regarding spoofing of the addressfield by loading 
  other page contents while keeping the URL, reported in Secunia Advisory 
  SA12162.
  * Blocked access to file:/ URLs from documents that are not themselves 
  loaded from file:/ URLs.
  
  Miscellaneous
  * Fixed problem with canceling connections/downloads.
  * Cache-size limitation improved.

* Wed Apr 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 7.23.static-2mdk
- remove wrong opera.jar reference. Was pointing to my homedir... (noticed by Thor Vadstein, thanks)

* Thu Jan 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 7.23.static-1mdk
- update to 7.23
- remove files depending on libXm.so.3 (openmotif ?)
- patch1: Disable mandrake steps while running install.sh

* Mon Feb 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 6.11.static-1mdk
- 6.11
- update files section

* Wed Jun 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 6.01.static-1mdk
- updated to 6.01

* Wed Jun 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 6.0-2mdk
- patch to opera6rc ( partner id )
- opera6.adr adds

* Sun May 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 6.0-1mdk
- this is a real mdk spec...not a simple link on a media...
- human readable spec.
- supply new paths to the install script
  WRAPPER_DEST PLUGIN_DEST
- update to latest stable sources
- update & fix filelist
- verbose build
- png menu icons
- remove buildroot path copied in the wrapper by install script
- opera bookmarks file is now opera6.adr

* Mon Sep 03 2001 Gregory Letoquart <gletoquart@mandrakesoft.com> 5.0-4mdk
- Final Version

* Fri Apr 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 5.0-3mdk
- Clean spec

* Wed Mar 28 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 5.0-2mdk
- change the bookmarks

* Thu Mar 15 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 5.0-1mdk
- First release


# end of file
